## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelExpressionParser Struct Reference

Interface to the expression parser plugin (same as the blxml behaviour layer plugin). More...

`#include <tools/expression.h>`

List of all members.

## Public Member Functions

virtual csPtr< iCelExpression > | Parse (const char *string)=0
| Parse an expression from a given string and return a parsed expression.

## Detailed Description

Interface to the expression parser plugin (same as the blxml behaviour layer plugin).

Definition at line 84 of file expression.h.

## Member Function Documentation

virtual csPtr<iCelExpression> iCelExpressionParser::Parse | ( | const char * | string | ) | `[pure virtual]`

Parse an expression from a given string and return a parsed expression.

The documentation for this struct was generated from the following file:

- tools/expression.h